#include <IRremote.h>
int RECV_PIN = 11; // 
int output1 = 10;
int output2 = 9;
int itsONled[] = {0,0,0,0};
#define code1  0xFF02FD //value of IF remote button 1 from the IR_HEX.ino 
#define code2  0xFFA857 // value of IF remote button 1 from the IR_HEX.ino
 
IRrecv irrecv(RECV_PIN);
decode_results results;
void setup()
{
 Serial.begin(9600);   // 
 irrecv.enableIRIn();  // 
 pinMode(output1, OUTPUT);
 pinMode(output2, OUTPUT);

}
void loop() {
 if (irrecv.decode(&results)) {
   unsigned int value = results.value;
   switch(value) {
      case code1:
        if(itsONled[1] == 1) {        // 
           digitalWrite(output1, LOW);   // 
           itsONled[1] = 0;           // 
        } else {                      // 
            digitalWrite(output1, HIGH); // 
            itsONled[1] = 1;          // 
        }
         break; 
      case code2:
        if(itsONled[2] == 1) {
           digitalWrite(output2, LOW);
           itsONled[2] = 0;
        } else {
            digitalWrite(output2, HIGH);
            itsONled[2] = 1;
        }
         break;
                
   }
   Serial.println(value); // you can comment this line
   irrecv.resume(); // Receive the next value
 }
}
